<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="@dimen/twelve">


    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/owmInputLayout"
        android:layout_width="@dimen/threeTwentyFour"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/twelve"
        android:hint="@string/owm_key"
        app:endIconMode="clear_text"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/inputOwm"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:imeOptions="actionDone"
            android:singleLine="true" />
    </com.google.android.material.textfield.TextInputLayout>


    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/dressTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="옷차림 보기"
        android:textSize="@dimen/normalText"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/owmInputLayout" />

    <com.google.android.material.switchmaterial.SwitchMaterial
        android:id="@+id/dress"
        android:text="사용 여부"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/dressTitle"
        app:selectionRequired="true"
        app:singleSelection="true"/>

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/weatherTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="재생중인 곡"
        android:textSize="@dimen/normalText"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/dress" />

    <com.google.android.material.switchmaterial.SwitchMaterial
        android:id="@+id/weather"
        android:text="사용 여부"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/weatherTitle"
        app:selectionRequired="true"
        app:singleSelection="true"/>


</androidx.constraintlayout.widget.ConstraintLayout>